<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRefs Method (IEdmRefItem)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRefItem Interface : GetRefs Method (IEdmRefItem)

Visual Basic
C#
C++/CLI

eType
  Type of reference to get as defined in EdmRefType

ppoRetItems
  Array of IEdmRefItems; one interface pointer for each item reference

Gets the references of this item.

# Syntax

Visual Basic |
--- | ---

    Sub GetRefs( _
       ByVal eType As EdmRefType, _
       ByRef ppoRetItems() As System.Object _
    )

C# |
--- | ---

    void GetRefs(
       EdmRefType eType,
       out System.object[] ppoRetItems
    )

C++/CLI |
--- | ---

    void GetRefs(
    &   EdmRefType eType,
    &   [Out] System.array<Object^>^ ppoRetItems
    )

#### Parameters

eType
  Type of reference to get as defined in EdmRefType
ppoRetItems
  Array of IEdmRefItems; one interface pointer for each item reference

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRefItem Interface
IEdmRefItem Members

# Availability

SOLIDWORKS PDM Professional Version 6.4